/* FONTS */

/* Bowlby One SC & Teko */
@import url('https://fonts.googleapis.com/css2?family=Bowlby+One+SC&family=Teko:wght@400;500;600;700&display=swap');

/*setting fonts*/
.hero .title, .section-title, .copyright {
	font-family:'Bowlby One SC', sans-serif;
}

.listing , .hero .tagline, .order-btn, .navigation, .no-products{
	font-family: 'Teko', sans-serif;
	font-weight: bold;
}

:root {
	--bg-color: black;
	--btn-txt-color: black;
	--txt-color-a: white;
}


/*
	Align on center when width is less or equal 840px
*/

@media(min-width: 645px) {
	.hero {
		font-size: large;
	}

	.navigation {
		position: static !important;
		margin: 0 !important;
		justify-content: right !important;
		align-items: center !important;
	}

	.navigation ul {
		padding-right: 1rem !important;
		flex-direction: row !important;
	}

	.menu-btn {
		display: none !important;
	}
}

@media (max-width: 645px) {
	.navigation {
			margin-top: -5rem !important;
	}

	header img.logo {
		width: 35px !important;
		z-index: 9999 !important;
	}

	.menu-btn {
		z-index: 9999 !important;
	}

}

@media(min-width: 840px) {
	.hero {
		font-size: x-large;
	}

	.listing {
		font-size: large;
	}
}

@media(min-width: 1024px) {
	.hero {
		font-size: xx-large;
	}

	.listing {
		font-size: larger;
	}
}

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	color: var(--txt-color-a);
}

html, body {
	width: 100%;
	height: 100%;
	background-color: var(--bg-color);
}

body {
	display: flex;
	flex-direction: column;
	gap: 4rem;
}

header {
	display: flex;
	width: 100%;
	justify-content: space-between;
	position: fixed;
	top: 0;
	background-color: var(--bg-color);
}

header img.logo {
	width: 50px;
	height: auto;
	margin: 8px;
}


.navigation.toggle {
	margin-top: 3rem !important;
}

.menu-btn {
	user-select: none;
	font-size: xx-large;
	margin: 8px;
}

.close-icon {
	display: none;
}

.close-icon.show {
	display: block !important;
}

.show {
	display: none !important;
}

.navigation {
	transition: 150ms cubic-bezier(.79,.14,.15,.86);
	display: flex;
	position: absolute;
	width: 100%;
	margin-top: 5rem;
	justify-content: center;
	background-color: black;
	padding: 1rem 0;
}

header .navigation ul {
	display: flex;
	list-style: none;
	flex-direction: column;
	gap: 1rem;
}

#app {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.hero {
	margin-top: 6rem;
	display: flex;
	flex-direction: column;
	gap: 1rem;
	align-items: center;
	text-align: center;
	justify-content: center;
	min-height: 300px;
	background-image: url(/assets/brand/distorted_lines.png);
	background-position: center;
	background-blend-mode: overlay;
	background-attachment: fixed;
	background-size: 50%;
	background-color: #000000e3;
}

.hero .title {
	margin: 0 1rem;
}

.flex-center {
	display: flex;
	align-content: center;
	align-items: center;
}

.listings-section {
	flex-direction: column;
	gap: 1rem;
	width: 100%;
}

.listings {
	width: 100%;
	display: flex;
	flex-direction: initial;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	gap: 5rem;
}

.listing {
	display: flex;
	align-items: left;
	justify-content: center;
	flex-direction: column;
	width: 100%;
	max-width: 300px;
}

.listing .product-image {
	width: 100%;
	height: 300px;
	object-fit: cover;
}

.listing .about {
	display: flex;
	flex-direction: column;
	gap: 1rem;
	margin-top: 1rem;
}

.product-name {
	text-transform: capitalize;
}

.listing .about .bottom {
	display: flex;
	justify-content: space-between;
	align-items: center;
}


.currency {
	font-size: xx-large;
}

.price {
	font-size: x-large;
}

.order-btn {
	cursor: pointer;
	border: none;
	padding: 1rem;
	background-color: white;
	color: black;
}

footer {
	justify-content: center;
}

footer .copyright {
	text-align: center;
	padding: 1rem 0;
}

/* Transition for hiding the loader */
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}
